MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028814Open CASCADE[OCCT] OCCT:Documentationpublic2017-06-05 16:122017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028814: Documentation - suggest using # instead of // for temporary comments in commit description
DescriptionExisting bug advancement workflow suggest the following syntax:
Minor corrections
...
Minor commits should have a single-line message starting with //. These messages will be ignored when 
the branch is squashed at integration.


The // syntax is familiar to C++ developers, but incompatible with native git tools. When using git, the automatically added comments (e.g. within merge conflict or re-base operation) are started with #, and such comments are automatically withdrawn while confirming commit description within rebase operation.

Therefore, it is proposed using # instead of // for consistency with native git tools (or allow both).
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0067083)
git (administrator)
2017-06-05 16:15

Branch CR28814 has been created by kgv.

SHA-1: f40d05c0709d108217b81ef046cd922e0b1e9e82


Detailed log of new commits:

Author: kgv
Date: Mon Jun 5 16:15:04 2017 +0300

    0028814: Documentation - suggest using # instead of // for temporary comments in commit description
(0067084)
kgv (developer)
2017-06-05 16:15

Patch is ready for review.
(0067171)
abv (manager)
2017-06-07 11:13

No remarks, please integrate. Please also announce this change internally
(0067354)
git (administrator)
2017-06-13 17:34

Branch CR28814 has been deleted by kgv.

SHA-1: f40d05c0709d108217b81ef046cd922e0b1e9e82

- Related Changesets
occt: master d2e4d7b9
Timestamp: 2017-06-05 13:15:04
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028814: Documentation - suggest using # instead of // for temporary comments in commit description
mod - dox/dev_guides/contribution_workflow/contribution_workflow.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-05 16:12 kgv New Issue
2017-06-05 16:12 kgv Assigned To => kgv
2017-06-05 16:15 git Note Added: 0067083
2017-06-05 16:15 kgv Note Added: 0067084
2017-06-05 16:15 kgv Assigned To kgv => abv
2017-06-05 16:15 kgv Status new => resolved
2017-06-07 11:13 abv Note Added: 0067171
2017-06-07 11:13 abv Assigned To abv => bugmaster
2017-06-07 11:13 abv Status resolved => reviewed
2017-06-09 14:06 bugmaster Changeset attached => occt master d2e4d7b9
2017-06-09 14:06 bugmaster Status reviewed => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-06-13 17:34 git Note Added: 0067354
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker